Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 3297)
+++ palm/trunk/SOURCE/Makefile	(revision 3298)
@@ -25,4 +25,9 @@
 # -----------------
 # $Id$
+# Added missing dependencies and replaced blanks with tabs (forkel)
+# Added chemistry emission module (Russo)
+# Added chemistry_model_mod to flow_statistics (basit)
+#
+# 3294 2018-10-01 02:37:10Z raasch
 # changes related to modularization of the ocean mode,
 # bugfix: dependency to advec_ws was missed in chemistry_model_mod
@@ -473,4 +478,5 @@
 	check_open.f90 \
 	check_parameters.f90 \
+	chem_emissions_mod.f90 \
 	chem_gasphase_mod.f90 \
 	chemistry_model_mod.f90 \
@@ -576,5 +582,5 @@
 	random_gauss.f90 \
 	random_generator_parallel_mod.f90 \
-        read_restart_data_mod.f90 \
+	read_restart_data_mod.f90 \
 	run_control.f90 \
 	set_slicer_attributes_dvrp.f90 \
@@ -636,5 +642,5 @@
 	wind_turbine_model_mod.f90 \
 	wrd_write_string.f90 \
-        write_restart_data_mod.f90
+	write_restart_data_mod.f90
 
 
@@ -757,4 +763,5 @@
 	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
+	chem_emissions_mod.o \
 	gust_mod.o \
 	init_vertical_profiles.o \
@@ -778,13 +785,23 @@
 	vertical_nesting_mod.o \
 	wind_turbine_model_mod.o
+chem_emissions_mod.o: \
+	chem_gasphase_mod.o \
+	chem_modules.o \
+	date_and_time_mod.o \
+	mod_kinds.o \
+	modules.o \
+	netcdf_data_input_mod.o \
+	surface_mod.o
 chemistry_model_mod.o: \
 	advec_ws.o \
 	chem_gasphase_mod.o \
 	chem_modules.o \
+	date_and_time_mod.o \
 	diffusion_s.o \
 	mod_kinds.o \
 	modules.o \
 	netcdf_data_input_mod.o \
-	surface_mod.o
+	surface_mod.o \
+	user_module.o
 chem_gasphase_mod.o: \
 	mod_kinds.o \
@@ -831,4 +848,5 @@
 	basic_constants_and_equations_mod.o \
 	bulk_cloud_model_mod.o \
+	chemistry_model_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -868,4 +886,5 @@
 	basic_constants_and_equations_mod.o \
 	bulk_cloud_model_mod.o \
+	chemistry_model_mod.o\
 	cpulog_mod.o \
 	gust_mod.o \
@@ -942,4 +961,5 @@
 	basic_constants_and_equations_mod.o \
 	bulk_cloud_model_mod.o \
+	chemistry_model_mod.o \
 	cpulog_mod.o \
 	gust_mod.o \
@@ -960,4 +980,5 @@
 	basic_constants_and_equations_mod.o \
 	bulk_cloud_model_mod.o \
+	chemistry_model_mod.o \
 	cpulog_mod.o \
 	date_and_time_mod.o \
@@ -986,5 +1007,5 @@
 	basic_constants_and_equations_mod.o \
 	bulk_cloud_model_mod.o \
-	chemistry_model_mod.o \
+	chem_emissions_mod.o \
 	cpulog_mod.o \
 	disturb_heatflux.o \
@@ -1217,5 +1238,6 @@
 	basic_constants_and_equations_mod.o \
 	mod_kinds.o \
-	modules.o
+	modules.o \
+	time_to_string.o
 modules.o: \
 	mod_kinds.o
@@ -1233,4 +1255,5 @@
 	mod_kinds.o
 netcdf_data_input_mod.o: \
+	chem_modules.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -1274,4 +1297,5 @@
 	chem_photolysis_mod.o \
 	cpulog_mod.o \
+	date_and_time_mod.o \
 	land_surface_model_mod.o \
 	mod_kinds.o \
@@ -1282,4 +1306,5 @@
 	pmc_particle_interface.o \
 	surface_layer_fluxes_mod.o \
+	time_to_string.o \
 	write_restart_data_mod.o
 parin.o: \
@@ -1545,4 +1570,5 @@
 	buoyancy.o \
 	calc_mean_profile.o \
+	chem_emissions_mod.o \
 	chemistry_model_mod.o \
 	chem_modules.o \
@@ -1558,5 +1584,5 @@
 	modules.o \
 	multi_agent_system_mod.o \
- ocean_mod.o \
+	ocean_mod.o \
 	pmc_interface_mod.o \
 	prognostic_equations.o \
@@ -1567,4 +1593,5 @@
 	surface_mod.o \
 	synthetic_turbulence_generator_mod.o \
+	time_to_string.o \
 	turbulence_closure_mod.o\
 	urban_surface_mod.o \
@@ -1584,4 +1611,5 @@
 	radiation_model_mod.o \
 	surface_layer_fluxes_mod.o \
+	time_to_string.o \
 	urban_surface_mod.o
 time_to_string.o: \
Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 3297)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 3298)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Add formatted note from ketelsen about statistics for chemistry
+!
+! 3294 2018-10-01 02:37:10Z raasch
 ! ocean renamed ocean_mode
 ! 
@@ -1697,4 +1700,8 @@
                     ) * weight_substep(intermediate_timestep_count)
              ENDDO
+
+!          CASE ( 'kc' )
+          !kk Has to be implemented for kpp chemistry
+
 
          END SELECT
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 3297)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 3298)
@@ -25,4 +25,14 @@
 ! -----------------
 ! $Id: check_parameters.f90 2520 2017-10-05 13:50:26Z gronemeier &
+! - Minor formatting and remarks
+! - Call of chem_emissions_check_parameters commented 
+!   (preliminary, as there is still a bug in this subroutine) (forkel)
+! - Corrected call for chemistry profile output added (basit)
+! - Call for init_vertical_profiles for chemistry removed (basit)
+! - Call for chem_init_profiles removed (basit)
+! - Setting of initial profiles for chemstry (constant and call of 
+!   init_vertical_profiles) commented (forkel)
+!
+! 2520 2017-10-05 13:50:26Z gronemeier
 ! changes concerning modularization of ocean option,
 ! init_vertical_profiles moved to separate file to avoid circular dependency
@@ -679,9 +689,12 @@
                bcm_check_data_output_pr
 
+    USE chem_emissions_mod,                                                    &
+        ONLY:  chem_emissions_check_parameters
+
+    USE chem_modules
+
     USE chemistry_model_mod,                                                   &
         ONLY:  chem_boundary_conds, chem_check_data_output,                    &
-               chem_check_data_output_pr, chem_species
-
-    USE chem_modules
+               chem_check_data_output_pr, chem_check_parameters, chem_species
 
     USE control_parameters
@@ -1443,5 +1456,12 @@
     ENDIF
 
-!
+!   Check for chem_emission_mod parameters setting
+!   IF ( air_chemistry ) CALL chem_emissions_check_parameters   ! forkel preliminary
+
+
+!   Check for chemitry_model_mod parameters setting
+    IF ( air_chemistry )  CALL chem_check_parameters
+
+
 !-- Check the module settings
     IF ( ocean_mode )  CALL ocean_check_parameters
@@ -1468,9 +1488,13 @@
        IF ( humidity       )  q_init  = q_surface
        IF ( passive_scalar )  s_init  = s_surface
-       IF ( air_chemistry )  THEN
-         DO lsp = 1, nvar
-            chem_species(lsp)%conc_pr_init = cs_surface(lsp)      
-         ENDDO
-       ENDIF
+!
+!--    TODO
+!--    Russo: Is done in chem_init and would overwrite what is done there
+!--    --> kanani: Revise
+!      IF ( air_chemistry )  THEN
+!        DO lsp = 1, nvar
+!           chem_species(lsp)%conc_pr_init = cs_surface(lsp)      
+!        ENDDO
+!      ENDIF
 !
 !--
@@ -1683,14 +1707,7 @@
        ENDIF
 !
+!--    TODO
 !--    Compute initial chemistry profile using the given chemical species gradients
-       IF ( air_chemistry )  THEN                                                          
-          DO  lsp = 1, nvar
-            CALL init_vertical_profiles( cs_vertical_gradient_level_ind(lsp,:),&
-                                         cs_vertical_gradient_level(lsp,:),    &
-                                         cs_vertical_gradient(lsp,:),          &
-                                         chem_species(lsp)%conc_pr_init,       &
-                                         cs_surface(lsp), bc_cs_t_val(lsp) )
-          ENDDO
-       ENDIF
+!--    Russo: Is done in chem_init --> kanani: Revise
 
     ENDIF
